List all events

List events, going back up to 30 days. Each event data is rendered according to the API version at its creation time, specified in event object. api_version attribute (not according to your current API version.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/events
curl https://api.paypercut.io/v1/events \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "01KA9T0VGBB5YAB0X9TN7VHWW8",
  "account": "01KAKB228G3K4E98NFVE2MGHW4",
  "api_version": "v1",
  "type": "checkout_session.completed",
  "created": "2023-11-21T10:30:45Z",
  "livemode": true,
  "data": {
    "object": {
      "id": "01KA9T0VG5MDBTN4BBZK10QT0G",
      "object": "checkout_session",
      "amount_total": 2000,
      "currency": {
        "iso": "USD",
        "scale": 2
      },
      "payment_status": "paid",
      "status": "complete",
      "customer": "01KA9SXYZ123456789ABCDEFGH",
      "payment_intent": "01KA9T0ABC123456789DEFGHIJ",
      "mode": "payment",
      "success_url": "https://example.com/success",
      "cancel_url": "https://example.com/cancel",
      "metadata": {
        "order_id": "12345",
        "customer_email": "customer@example.com"
      },
      "created": "2023-11-21T10:30:00Z",
      "expires_at": "2023-11-21T11:30:00Z",
      "livemode": true
    }
  }
}